import { WarningFilled } from "@ant-design/icons";

export default function JobLinesBillRefernece({ jobline }) {
  const billLine = jobline.billlines?.[0];

  if (!billLine) return null;
  const subletRequired = billLine.actual_price !== jobline.act_price;
  return (
    <div style={{ color: subletRequired && "tomato" }}>
      {subletRequired && <WarningFilled />}
      {`${billLine.actual_price.toFixed(2)} x ${billLine.quantity} (${
        billLine.bill.vendor.name
      } #${billLine.bill.invoice_number})`}
    </div>
  );
}
